Subject: bug#69920: Proposed fix - Toggling MIME inline attachment previews adds superfluous newlines

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Mar 2024 08:52:56 +0200

> Date: Fri, 22 Mar 2024 22:01:09 +0100
> From:  Alcor via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> After some investigation, I noticed that `mm-inline-image' adds a
> newline via (insert "\n") directly after `insert-image' for unclear
> reasons.

I'm guessing this is to make sure text following the image starts on a
new line, rather than after the image.

Why is the current code a problem?  IOW, when does the extra newline
cause any harm?  You talk about "the issue", but I didn't see any
explanation what that issue is.

Eric, any comments?